Subject: Standard Track dependencies on Informational RFCs

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Wed, 30 Aug 2000 12:04:22 -0700

As part of the LDAPbis BOF effort, I have gone through
the RFCs defining LDAPv3 (RFC2251-56,2829-31) to identify
normative references.  To my surprise, I found a number
of clearly normative references to Informational RFCs.
Per RFC 2026 maturity requirements for Standard Track
specifications, these should have been caught prior to
acceptance of the referring Proposed Standard and must
be fixed before the specifications can be progressed.

I post to ietf-discuss because two of the referenced
Informational RFCs, RFC 1321 (MD5) and RFC 2104 (HMAC),
are also normative references for numerous other
Standard Track protocols.

Are there Standard Track specifications available for
MD5 and HMAC?  At Draft Standard maturity or better?
If not, would it be appropriate to submit a request
to the IESG to consider reissuing the specifications
detailed by RFC 1321 and RFC 2104 on the Standard Track?

Comments?  Suggestions?

Kurt

PS: I've blind-cc'ed the ietf-ldapbis list to direct
those interested to this discussion.  For other
ietf-ldapbis'ers, I'll provide a summary of this
thread.

---

From: RJ Atkinson <[email-masked]>
Date: Wed, 30 Aug 2000 16:38:32 -0400

>Standard Track protocols.

Neither of those are protocols.  Instead, they specify
mathematical algorithms.  As such, I do not believe
they need to be standards-track to be referenced NOR
are they in the set of things IETF would normally 
standardise.

>detailed by RFC 1321 and RFC 2104 on the Standard Track?

IMHO, that is not needed and not particularly desirable.

Ran
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 30 Aug 2000 16:40:53 -0500

Normative references to stable non-standards track documents 
are indeed allowed when those documents are of the nature of
algorithm descriptions, mathematical theorems, and the like -
they don't even have to be RFCs. See RFC 2026 section 3.1,
first paragraph. MD5 and HMAC are the archetypical
examples of this type.

    Brian